#ifndef _CORLIST_H
#define _CORLIST_H

//#include <stdio.h>
#include "common_cor.h"

typedef struct { char a[MAX_LEN+1],b[MAX_LEN+1]; Weight w; short la,lb; } CorWeight;

class CorList
{
 private:
   CorWeight *List;
   int total;
 public:
   Weight cor_stdcor, cor_xchg;
   int loadCWL(char *Name);
   Weight GetValue(char X[100], char Y[100], Weight (*H2)[100], int i, int j);
};

#endif
